Loading...
Searching...
No Matches
IBMConversion.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/OS/CanonicalConversion.h>`

Go to the source code of this file.

## Classes

class | casacore::IBMConversion
| More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | SIZE_IBM_CHAR
| Define the IBM sizes of the built-in data types.
#define | SIZE_IBM_UCHAR
#define | SIZE_IBM_SHORT
#define | SIZE_IBM_USHORT
#define | SIZE_IBM_INT
#define | SIZE_IBM_UINT
#define | SIZE_IBM_INT64
#define | SIZE_IBM_UINT64
#define | SIZE_IBM_FLOAT
#define | SIZE_IBM_DOUBLE

## Macro Definition Documentation

## SIZE_IBM_CHAR

#define SIZE_IBM_CHAR

Define the IBM sizes of the built-in data types.

Definition at line 38 of file IBMConversion.h.

## SIZE_IBM_DOUBLE

#define SIZE_IBM_DOUBLE

Definition at line 47 of file IBMConversion.h.

## SIZE_IBM_FLOAT

#define SIZE_IBM_FLOAT

Definition at line 46 of file IBMConversion.h.

## SIZE_IBM_INT

#define SIZE_IBM_INT

Definition at line 42 of file IBMConversion.h.

## SIZE_IBM_INT64

#define SIZE_IBM_INT64

Definition at line 44 of file IBMConversion.h.

## SIZE_IBM_SHORT

#define SIZE_IBM_SHORT

Definition at line 40 of file IBMConversion.h.

## SIZE_IBM_UCHAR

#define SIZE_IBM_UCHAR

Definition at line 39 of file IBMConversion.h.

## SIZE_IBM_UINT

#define SIZE_IBM_UINT

Definition at line 43 of file IBMConversion.h.

## SIZE_IBM_UINT64

#define SIZE_IBM_UINT64

Definition at line 45 of file IBMConversion.h.

## SIZE_IBM_USHORT

#define SIZE_IBM_USHORT

Definition at line 41 of file IBMConversion.h.